Page MenuHomePhabricator

BadMethodCallException when trying to view search results with offset>10000
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: Discovery-Search. · View Herald TranscriptAug 6 2018, 8:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.Aug 9 2018, 5:09 PM
debt edited projects, added Discovery-Search (Current work); removed Discovery-Search.
debt added a subscriber: debt.

This is a known exception — for returning no more than 10,000 results. However, there should be a nicer response; we'll take a look.

Change 453533 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] Add warning when requesting results beyond the supported limit

https://gerrit.wikimedia.org/r/453533

Change 453537 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/Wikibase@master] Search: transform and createEmpty must return same type

https://gerrit.wikimedia.org/r/453537

Change 453533 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Add warning when requesting results beyond the supported limit

https://gerrit.wikimedia.org/r/453533

Change 453537 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Search: transform and createEmpty must return same type

https://gerrit.wikimedia.org/r/453537

debt closed this task as Resolved.Aug 24 2018, 4:05 PM

Using this sample query, the new warning has been updated to: A warning has occured while searching: Could not retrieve results. Up to 10000 search results are supported, but results starting at 10000 were requested.

Thanks, Erik!